Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_block_trades \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "private/get_block_trades",
  "params": {
    "currency": "BTC",
    "count": 1
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_block_trades"

payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "private/get_block_trades",
"params": {
"currency": "BTC",
"count": 1
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'private/get_block_trades',
params: {currency: 'BTC', count: 1}
})
};

fetch('https://test.deribit.com/api/v2/private/get_block_trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "result": [
    {
      "trades": [
        {
          "trade_seq": 4,
          "trade_id": "92462",
          "timestamp": 1565093070164,
          "tick_direction": 2,
          "state": "filled",
          "price": 0.0151,
          "order_type": "limit",
          "order_id": "343121",
          "matching_id": null,
          "liquidity": "M",
          "iv": 72.38,
          "instrument_name": "BTC-9AUG19-11500-P",
          "index_price": 11758.65,
          "fee_currency": "BTC",
          "fee": 0,
          "direction": "sell",
          "block_trade_id": "66",
          "amount": 2.3
        },
        {
          "trade_seq": 41,
          "trade_id": "92460",
          "timestamp": 1565093070164,
          "tick_direction": 2,
          "state": "filled",
          "price": 11753,
          "order_type": "limit",
          "order_id": "343117",
          "matching_id": null,
          "liquidity": "M",
          "instrument_name": "BTC-9AUG19",
          "index_price": 11758.65,
          "fee_currency": "BTC",
          "fee": 0,
          "direction": "sell",
          "block_trade_id": "66",
          "amount": 50
        }
      ],
      "timestamp": 1565093070165,
      "id": "66"
    }
  ]
}

Query Parameters

currency
enum<string>

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
count
integer

Count of Block Trades returned, maximum - 101

Required range: 1 <= x <= 101
start_id
string

Response will contain block trades older than the one provided in this field Block trade id

Example:

"154"

end_id
string

The id of the oldest block trade to be returned, start_id is required with end_id Block trade id

Example:

"154"

block_rfq_id
integer

ID of the Block RFQ

broker_code
string

Broker code to filter block trades. Only broker clients can use broker_code to filter broker block trades. Use any for all block trades.

Example:

"2krM7sJsx"

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request